toolzerhub API Docs

Search channel

Returns channel videos and playlists matching required search_term. Provide channel_id or channel_username; optional localization and page_cursor control results.

1 credit / requestBilled only on success
GET
/v2/youtube/channel/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

channel_id?string

YouTube channel ID.

channel_username?string

Channel username to use when a channel ID is unavailable.

region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

page_cursor?string

Cursor returned by the previous response.

search_term*string

Text to search for within the channel.

Length1 <= length
curl -X GET "https://example.com/v2/youtube/channel/search?search_term=conference+keynote" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "property1": null,        "property2": null      }    ],    "page_cursor": "string",    "meta": {      "channelId": "string",      "title": "string",      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}